# Class ModelLoader

java.lang.Object
org.jmol.modelset.ModelLoader

public final class ModelLoader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`baseAtomIndex`
`int`
`baseGroupIndex`
`int`
`baseModelIndex`
`int[][]`
`group3Counts`
`String[]`
`group3Lists`
`Group[]`
`groups`
`boolean`
`isTrajectory`
`ModelSet`
`ms`
`int[]`
`specialAtomIndexes`
`BS`
`structuresDefinedInFile`

## Constructor Summary

Constructors
Constructor
Description
`ModelLoader(Viewer vwr, String modelSetName, SB loadScript, Object asc, ModelSet modelSet0, BS bsNew)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`createAtomDataSet(Viewer vwr, ModelSet modelSet, int tokType, Object asc, BS bsSelected)`
`int`
`getAtomCount()`
`int`
`getFirstAtomIndex(int iGroup)`
`String`
`getGroup3(int iGroup)`
`void`
`undeleteAtom(int iAtom)`
called from org.jmol.modelsetbio.resolver when adding hydrogens.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ms

public ModelSet ms

### group3Lists

public String[] group3Lists

### group3Counts

public int[][] group3Counts

### specialAtomIndexes

public int[] specialAtomIndexes

### isTrajectory

public boolean isTrajectory

### groups

public Group[] groups

### baseModelIndex

public int baseModelIndex

### baseAtomIndex

public int baseAtomIndex

### baseGroupIndex

public int baseGroupIndex

### structuresDefinedInFile

public BS structuresDefinedInFile

## Constructor Details

### ModelLoader

public ModelLoader(Viewer vwr, String modelSetName, SB loadScript, Object asc, ModelSet modelSet0, BS bsNew)

## Method Details

### getGroup3

public String getGroup3(int iGroup)

### getFirstAtomIndex

public int getFirstAtomIndex(int iGroup)

### getAtomCount

public int getAtomCount()

### undeleteAtom

public void undeleteAtom(int iAtom)
called from org.jmol.modelsetbio.resolver when adding hydrogens.

Parameters:
  `iAtom` -

### createAtomDataSet

public static String createAtomDataSet(Viewer vwr, ModelSet modelSet, int tokType, Object asc, BS bsSelected)